Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.common
Class MinimumSizedIcon

    java.lang.Object
      com.jgoodies.looks.common.MinimumSizedIcon

All Implemented Interfaces:
  Icon

Direct Known Subclasses:
  MinimumSizedCheckIcon

    public class MinimumSizedIcon

extends Object
implements Icon

An `Icon` with a minimum size that is read from the `UIManager` `defaultIconSize` key.

Version:
  $Revision: 1.9 $
Author:
  Karsten Lentzsch

Constructor Summary
`MinimumSizedIcon()`
`MinimumSizedIcon(Icon icon)`

Method Summary
`int` | `getIconHeight()`
`int` | `getIconWidth()`
`void` | `paintIcon(Component c, Graphics g, int x, int y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MinimumSizedIcon

    public MinimumSizedIcon()

### MinimumSizedIcon

    public MinimumSizedIcon(Icon icon)

Method Detail

### getIconHeight

    public int getIconHeight()

  Specified by:
    `getIconHeight` in interface `Icon`

### getIconWidth

    public int getIconWidth()

  Specified by:
    `getIconWidth` in interface `Icon`

### paintIcon

    public void paintIcon(Component c,
                          Graphics g,
                          int x,
                          int y)

  Specified by:
    `paintIcon` in interface `Icon`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JGoodies Karsten Lentzsch. All Rights Reserved.